matrix:
  bazel: ["7.x", "8.x", "9.x"]

tasks:
  verify_targets:
    name: "Build targets under //lib"
    platform: ubuntu2004
    bazel: ${{ bazel }}
    build_targets:
    - '@apple_support//lib/...'

bcr_test_module:
  module_path: "."

  matrix:
    # TODO: Enabling `rolling` releases when we fix
    # transition outputs [//command_line_option:ios_signing_cert_name] do not correspond to valid settings
    bazel: ["7.x", "8.x", "9.x"]

  tasks:
    run_tests:
      name: "Run test targets"
      platform: "macos_arm64"
      bazel: ${{ bazel }}
      test_targets:
      - '//test/...'
      - '--'
      # Needs visionOS SDK
      - '-//test:binary_visionos_arm64_simulator_test'
      - '-//test:binary_visionos_device_test'
      # Needs Xcode update on BCR CI
      - '-//test:binary_relative_oso_test'
      # Needs min bazel version 8.x on BCR CI
      - '-//test:linking_generate_cpp_dsym_test'
      # Depends on repo's .bazelrc
      - '-//test:compiling_default_apple_macos_compile_test'
      - '-//test:compiling_default_c_compile_test'
      - '-//test:compiling_objc_copt_order_test'
